Map rotation in print composer: make behaviour more uniform
Status: Closed

Priority: Normal

Assignee: Nyall Dawson
Category: Map Composer/Printing

Affected QGIS version:2.2.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?:
Easy fix?:
Resolution:

No
No
fixed/implemented

Copied to github as #: 18340

Description

Currently, if an use chooses to sync the rotation of a map with that of a symbol (e.g. north arrow), he is faced with two different

behaviours:

- if the map is rotated inside the frame, the symbol is correctly in sync

- if the whole frame is rotate, the arrow does not move.

While this makes sense from a dev point of view, | believe it is surprising and inconsistent from an user perspective.

History

#1 - 2014-12-22 02:55 AM - Sandro Santilli

Does core map rotation in 2.7+ make this report outdated ?

#2 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2018-02-24 02:22 PM - Paolo Cavallini
- Resolution set to fixed/implemented

- Description updated

- Assignee set to Nyall Dawson

- Status changed from Open to Closed

| believe this is fixed now in QGIS 3
